## libbsf-java 2.4.0

=== debian/changelog ===
libbsf-java (1:2.4.0-8) unstable; urgency=medium

  * Team upload.
  * Restored the missing Xalan and Rhino classes accidentally removed in 2.4.0-7
  * Standards-Version updated to 4.2.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 17 Aug 2018 00:13:25 +0200

libbsf-java (1:2.4.0-7) unstable; urgency=medium

  * Team upload.
  * Removed the patches
  * Generate Java 8 compatible bytecode

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Aug 2018 11:14:03 +0200

libbsf-java (1:2.4.0-6) unstable; urgency=low

  * Team upload.

  [ Emmanuel Bourg ]
  * Restored the build dependency on rhino to build the missing
    JavaScriptEngine class
  * Removed the dependency on libapache-pom-java
  * Build with the DH sequencer instead of CDBS
  * Updated the Homepage field
  * debian/watch: Fixed the download URL
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11

  [ Markus Koschany ]
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 02 Aug 2018 00:08:54 +0200

libbsf-java (1:2.4.0-5) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Apply patch detecting optional languages at build time
    Thanks to Ximin Lao.  (Closes: #601685)
  * Convert to source format 3.0 (quilt); drop build-depends on quilt.

  [ Damien Raude-Morvan ]
  * d/control: Remove Michael Koch from Uploaders. Thanks Michael!
    (Closes: #654047).
  * d/control: Update Standards-Version: 3.9.2.
  * d/rules: Drop patchsys-quilt.mk.
  * d/control: Drop dependencies on jython; its broken with jython >= 2.5
    and generates additional main requirements in Ubuntu. Thanks to James Page
    for patch. (Closes: #646094).
  * d/control: Drop depends on Java runtime since its a library.
  * d/{control,copyright}: Wrap and sort.
  * Move Javadoc to a separate libbsf-java-doc package. (Closes: #506357).
  * Install maven metadata:
    - d/control: Build-Depends on maven-repo-helper and
      Depends on libapache-pom-java.
    - d/rules: Use mh_installpoms and mh_installjar.
    - d/rules: Provide get-orig-pom to download a POM.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 06 Jan 2012 00:34:08 +0100

libbsf-java (1:2.4.0-4) unstable; urgency=low

  * Disable jython support because it is broken for jython >= 2.5.
    (Closes: #591122)
  * Remove Stefan and Arnaud from Uploaders list. Thanks to your contributions!

 -- Torsten Werner <twerner@debian.org>  Wed, 04 Aug 2010 04:31:45 +0200

libbsf-java (1:2.4.0-3) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Fix build errors.
  * Switch to quilt.
  * Switch to debhelper 5.
  * Update Standards-Version: 3.8.2.
  * Add Homepage and Vcs headers.
  * Change Section: java.
  * Add missing Depends: ${misc:Depends}.
  * Remove servlet dependency.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Jul 2009 19:15:16 +0200

libbsf-java (1:2.4.0-2) unstable; urgency=low

  * Added Build-Depends-Indep on libcommons-logging-java.
    Closes: #460381.

 -- Michael Koch <konqueror@gmx.de>  Sat, 12 Jan 2008 15:28:22 +0100

libbsf-java (1:2.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Michael Koch <konqueror@gmx.de>  Tue, 01 Jan 2008 20:39:26 +0100

libbsf-java (1:2.3.0+cvs20050308a-3) unstable; urgency=low

  [ Kumar Appaiah ]
  * Update watch file.

  [ Michael Koch ]
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Sat, 29 Dec 2007 21:34:42 +0100

libbsf-java (1:2.3.0+cvs20050308a-2) unstable; urgency=low

  * Removed Build-Dependency on rhino (Closes: #414685).
  * Removed Wolfgang and added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Wed, 14 Mar 2007 21:26:14 +0100

libbsf-java (1:2.3.0+cvs20050308a-1) unstable; urgency=low

  * Updated Standards-Version to 3.7.2: moved debhelper and cdbs to
    Build-Depends
  * Build with java-gcj-compat-dev
  * debian/rules: removed ant-launcher from the classpath (no more needed)
  * Updated dependency to libservlet2.4-java
  * Not a new upstream but reupload the sources to the main archive
  (closes: #352172, #376107).
  * debian/watch: added

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 17 Jul 2006 17:41:28 +0200

libbsf-java (1:2.3.0+cvs20050308-6) unstable; urgency=low

  * Removed explicit usage of jikes build compiler property
    for kaffe jikes -> ecj transition

 -- Wolfgang Baer <WBaer@gmx.de>  Fri,  6 Jan 2006 19:31:20 +0100

libbsf-java (1:2.3.0+cvs20050308-5) unstable; urgency=low

  * libant1.6-java to ant transition
  * Register documentation and javadoc with doc-base
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 24 Sep 2005 09:55:34 +0200

libbsf-java (1:2.3.0+cvs20050308-4) unstable; urgency=low

  * uploaded to unstable

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 15 Jun 2005 11:05:35 +0200

libbsf-java (1:2.3.0+cvs20050308-3) experimental; urgency=low

  * Move to main (together with libxalan2-java)
  * Added BeanShell as supported scripting language to description
    (provides its own bsf adapter) and also to Suggests
  * Enabled junit tests and added junit to build-dependencies
    + Removed unsupported script engines from tests 
      (03_RemoveUnsupportedTestcases.patch)
  * Included documentation html files
  * Unified build.xml patch (02_Build_xml.patch)
    + Incorporated former 02_Build_Javadoc.patch to exclude test classes
    + Fixed jar target to not include test classes
    + Added correct classpath for test target
    + Added target=1.3 as javac option to support JDK 1.3
  
 -- Wolfgang Baer <WBaer@gmx.de>  Wed, 11 May 2005 19:14:16 +0200

libbsf-java (1:2.3.0+cvs20050308-2) unstable; urgency=low

  * Fixed depends (as non-free vm's do not provide java1-runtime)
    to also include java2-runtime (closes: #299551)
  * Make jar file versioned and provide link for unversioned jar
  * Build apidocs
  
 -- Wolfgang Baer <WBaer@gmx.de>  Tue, 15 Mar 2005 09:18:57 +0100


