=== debian/control ===
Source: libbsf-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper (>= 11~),
 default-jdk,
 junit,
 libcommons-logging-java,
 librhino-java,
 libxalan2-java,
 maven-repo-helper
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/java-team/libbsf-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libbsf-java
Homepage: http://commons.apache.org/bsf

Package: libbsf-java
Architecture: all
Depends: ${misc:Depends}
Suggests: bsh, libxalan2-java, rhino
Description: Bean Scripting Framework to support scripting languages in Java
 Bean Scripting Framework (BSF) is a set of Java classes which provides
 scripting language support within Java applications, and access to Java
 objects and methods from scripting languages. BSF allows one to write JSPs in
 languages other than Java while providing access to the Java class library. In
 addition, BSF permits any Java application to be implemented in part (or
 dynamically extended) by a language that is embedded within it. This is
 achieved by providing an API that permits calling scripting language engines
 from within Java, as well as an object registry that exposes Java objects to
 these scripting language engines.
 .
 BSF supports these scripting languages:
  * Python (using Jython)
  * JavaScript (using rhino)
  * XSLT Stylesheets (as a component of Apache XML project's Xalan and Xerces)
  * BeanShell (using bsh) via its own bsf adapter
 .
 Support for Tcl, NetRexx is not available in this Debian
 package since Jacl, NetRexx (non-free) are not packaged.

Package: libbsf-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libbsf-java
Breaks: libbsf-java (<< 1:2.4.0-5)
Replaces: libbsf-java (<< 1:2.4.0-5)
Description: Bean Scripting Framework to support scripting - documentation
 Bean Scripting Framework (BSF) is a set of Java classes which provides
 scripting language support within Java applications, and access to Java
 objects and methods from scripting languages. BSF allows one to write JSPs in
 languages other than Java while providing access to the Java class library. In
 addition, BSF permits any Java application to be implemented in part (or
 dynamically extended) by a language that is embedded within it. This is
 achieved by providing an API that permits calling scripting language engines
 from within Java, as well as an object registry that exposes Java objects to
 these scripting language engines.
 .
 BSF supports these scripting languages:
  * Python (using Jython)
  * JavaScript (using rhino)
  * XSLT Stylesheets (as a component of Apache XML project's Xalan and Xerces)
  * BeanShell (using bsh) via its own bsf adapter
 .
 Support for Tcl, NetRexx is not available in this Debian
 package since Jacl, NetRexx (non-free) are not packaged.
 .
 This package contains Javadoc HTML documentation for
 libbsf-java.
