=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	mkdir -p lib
	ln -s /usr/share/java/commons-logging.jar lib/commons-logging.jar
	ln -s /usr/share/java/js.jar              lib/js.jar
	ln -s /usr/share/java/xalan2.jar          lib/xalan2.jar

	echo '<project><patternset id="javac.source.files"/></project>' > build-properties.xml

	dh_auto_build -- jar javadocs

override_dh_auto_clean:
	rm -Rf build lib build-properties.xml

get-orig-pom:
	wget  -U NoSuchBrowser/1.0 -O debian/bsf.pom \
		http://repo1.maven.org/maven2/bsf/bsf/$(DEB_VERSION_UPSTREAM)/bsf-$(DEB_VERSION_UPSTREAM).pom
