=== debian/watch ===
version=3
https://archive.apache.org/dist/commons/bsf/source/ bsf-src-(.*).(?:tar.gz|zip) debian uupdate
